| Home | Libraries | People | FAQ | More

## Function template make_adaptive_iterator_begin

boost::numeric::odeint::make_adaptive_iterator_begin — Factory function for adaptive_iterator. Constructs a begin iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/adaptive_iterator.hpp>

    template<typename Stepper, typename System, typename State>
      adaptive_iterator< Stepper, System, State >
      make_adaptive_iterator_begin(Stepper stepper, System system, State & x,
                                   typename traits::time_type< Stepper >::type t_start,
                                   typename traits::time_type< Stepper >::type t_end,
                                   typename traits::time_type< Stepper >::type dt);

## Description

Parameters:

`dt` | The initial time step.
`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`t_end` | The end time, at which the iteration should stop.
`t_start` | The initial time.
`x` | The initial state.

Returns: | The adaptive iterator.